.BG
.FN bin2
.TL
Computes 2-D (Bivariate) Histogram Bin Counts
.CS
bin2(x, ab, nbin=c(30,30), warn=T)
.RA
.AG x
matrix (n x 2) of data values x.
.OA
.AG ab
(2 x 2 matrix) rows 1 and 2 contain x and y axis bin intervals,
respectively.  Default value is the sample ranges
padded 5% at each end for each dimension.
.AG nbin
vector of length 2 containing the
number of bins along x and y axes. Default
is 30 by 30. 
.AG warn
suppress warning messages if False.
.RT
a list suitable for input to `ash1' containing:
.RC nc
matrix of bin counts.  nc[i,j] refers to
the i-th bin along the x-axis and the j-th
bin along the y-axis.
.RC ab
the input binning intervals.
.RC nskip
number of points outside the binning intervals.
.SH REFERENCES
Scott, D.W. (1979).  On Optimal and Data-Based Histograms.
.ul
Biometrika, 
\fB66\fR, 605-610.
.PP
Scott, D.W. (1992).
.ul
Multivariate Density Estimation: Theory, Practice, and Visualization.
John Wiley & Sons, New York.
.SA
`ash2', `bin1', `ash1', `compress', `density', `ksmooth'
.EX
x <- matrix( rnorm(200), 100 , 2)       # bivariate normal n=100
ab <- matrix( c(-5,-5,5,5), 2, 2)       # interval [-5,5) x [-5,5)
nbin <- c(30,30)                        # 400 bins
bins <- bin2(x, ab, nbin)               # bin counts,ab,nskip
.KW ash, kernel, density, histogram, binning
.WR
